/*
 Navicat Premium Data Transfer

 Source Server         : zz
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.50.233:3306
 Source Schema         : xxl_job

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 06/11/2024 16:54:44
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for xxl_job_group
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_group`;
CREATE TABLE `xxl_job_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_name` varchar(64) NOT NULL COMMENT '执行器AppName',
  `title` varchar(12) NOT NULL COMMENT '执行器名称',
  `address_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '执行器地址类型：0=自动注册、1=手动录入',
  `address_list` text COMMENT '执行器地址列表，多地址逗号分隔',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_group
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_group` (`id`, `app_name`, `title`, `address_type`, `address_list`, `update_time`) VALUES (7, 'xxl-job-executor-dev', '开发环境执行器', 0, 'http://192.168.50.235:9999/', '2024-11-06 16:54:35');
INSERT INTO `xxl_job_group` (`id`, `app_name`, `title`, `address_type`, `address_list`, `update_time`) VALUES (8, 'xxl-job-executor', '生产环境执行器', 0, 'http://192.168.50.235:9998/', '2024-11-06 16:54:35');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_info
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_info`;
CREATE TABLE `xxl_job_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job_group` int(11) NOT NULL COMMENT '执行器主键ID',
  `job_desc` varchar(255) NOT NULL,
  `add_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `author` varchar(64) DEFAULT NULL COMMENT '作者',
  `alarm_email` varchar(255) DEFAULT NULL COMMENT '报警邮件',
  `schedule_type` varchar(50) NOT NULL DEFAULT 'NONE' COMMENT '调度类型',
  `schedule_conf` varchar(128) DEFAULT NULL COMMENT '调度配置，值含义取决于调度类型',
  `misfire_strategy` varchar(50) NOT NULL DEFAULT 'DO_NOTHING' COMMENT '调度过期策略',
  `executor_route_strategy` varchar(50) DEFAULT NULL COMMENT '执行器路由策略',
  `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
  `executor_block_strategy` varchar(50) DEFAULT NULL COMMENT '阻塞处理策略',
  `executor_timeout` int(11) NOT NULL DEFAULT '0' COMMENT '任务执行超时时间，单位秒',
  `executor_fail_retry_count` int(11) NOT NULL DEFAULT '0' COMMENT '失败重试次数',
  `glue_type` varchar(50) NOT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) DEFAULT NULL COMMENT 'GLUE备注',
  `glue_updatetime` datetime DEFAULT NULL COMMENT 'GLUE更新时间',
  `child_jobid` varchar(255) DEFAULT NULL COMMENT '子任务ID，多个逗号分隔',
  `trigger_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '调度状态：0-停止，1-运行',
  `trigger_last_time` bigint(13) NOT NULL DEFAULT '0' COMMENT '上次调度时间',
  `trigger_next_time` bigint(13) NOT NULL DEFAULT '0' COMMENT '下次调度时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_info
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (9, 7, '自动分析', '2024-07-25 10:20:35', '2024-07-25 10:20:52', '陈宏琰', '', 'CRON', '0 */1 * * * ?', 'DO_NOTHING', 'FIRST', 'autoAnalysis', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2024-07-25 10:20:35', '', 1, 1730883240000, 1730883300000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (10, 8, '自动分析', '2024-07-25 10:48:30', '2024-07-25 10:48:54', '陈宏琰', '', 'CRON', '0 */1 * * * ?', 'DO_NOTHING', 'FIRST', 'autoAnalysis', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2024-07-25 10:48:30', '', 1, 1730883240000, 1730883300000);
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_lock
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_lock`;
CREATE TABLE `xxl_job_lock` (
  `lock_name` varchar(50) NOT NULL COMMENT '锁名称',
  PRIMARY KEY (`lock_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_lock
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_lock` (`lock_name`) VALUES ('schedule_lock');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_log
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_log`;
CREATE TABLE `xxl_job_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `job_group` int(11) NOT NULL COMMENT '执行器主键ID',
  `job_id` int(11) NOT NULL COMMENT '任务，主键ID',
  `executor_address` varchar(255) DEFAULT NULL COMMENT '执行器地址，本次执行的地址',
  `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
  `executor_sharding_param` varchar(20) DEFAULT NULL COMMENT '执行器任务分片参数，格式如 1/2',
  `executor_fail_retry_count` int(11) NOT NULL DEFAULT '0' COMMENT '失败重试次数',
  `trigger_time` datetime DEFAULT NULL COMMENT '调度-时间',
  `trigger_code` int(11) NOT NULL COMMENT '调度-结果',
  `trigger_msg` text COMMENT '调度-日志',
  `handle_time` datetime DEFAULT NULL COMMENT '执行-时间',
  `handle_code` int(11) NOT NULL COMMENT '执行-状态',
  `handle_msg` text COMMENT '执行-日志',
  `alarm_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '告警状态：0-默认、1-无需告警、2-告警成功、3-告警失败',
  PRIMARY KEY (`id`),
  KEY `I_trigger_time` (`trigger_time`),
  KEY `I_handle_code` (`handle_code`)
) ENGINE=InnoDB AUTO_INCREMENT=326874 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_log
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (239999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (240999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (241999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-07 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-07 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-07 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (242999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (243999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244880, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244882, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244884, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244887, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244901, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 16:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244903, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244905, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244907, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244909, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244910, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244913, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244915, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244916, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244918, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244927, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244928, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (244999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-08 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-08 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-08 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (245999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (246999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247100, 7, 9, 'http://192.168.5.4:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.5.4:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://192.168.5.4:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247619, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247621, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247623, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247624, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247626, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247629, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247630, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247633, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247635, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247636, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247638, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247640, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247643, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247644, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247647, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247648, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247650, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247653, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247654, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247656, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247659, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247661, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 15:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247663, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247665, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247667, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247668, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247670, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247673, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247675, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247677, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247679, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247680, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247682, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247684, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247686, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247688, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247691, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247692, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247694, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247697, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247699, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247700, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247702, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247704, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247706, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247708, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247710, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247713, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247714, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247717, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247718, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247720, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247723, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247724, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247726, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247729, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247731, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247732, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247735, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247737, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247739, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247741, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247742, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247744, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247770, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247773, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247774, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247777, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247779, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247781, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 16:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247782, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247784, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247786, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247788, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247791, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247793, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247794, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247797, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247799, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247801, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247803, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247804, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247806, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247808, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247810, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247813, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247815, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247817, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247818, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247821, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247822, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247825, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247827, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247830, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247833, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247835, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247836, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247839, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247840, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247842, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247844, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247846, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247849, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247850, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247853, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247855, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247857, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247859, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247861, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247862, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247865, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247866, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247868, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247871, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247872, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247875, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247876, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247879, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247880, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247882, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247884, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247887, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247889, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247890, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247892, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247895, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247897, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247898, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247900, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247903, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247904, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247907, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247909, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247910, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247913, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247914, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247917, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247918, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247920, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247923, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247924, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247927, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247929, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247930, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247933, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247935, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247937, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247938, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247941, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247942, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247945, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247946, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247948, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247951, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247953, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247962, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247965, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247967, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247968, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247970, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247973, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247975, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247976, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247978, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247981, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247983, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247985, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247986, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247988, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247990, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247993, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247995, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247997, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (247999, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248000, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248003, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248004, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248007, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248008, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248010, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248012, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248015, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248017, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248019, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248020, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248022, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248024, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248027, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248029, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248058, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248060, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248063, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248065, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248067, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248069, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248070, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248073, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248075, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248106, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248108, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248111, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248140, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248142, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248145, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248146, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248148, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248151, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248180, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248182, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248184, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248186, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248188, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248190, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248192, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248226, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248229, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248231, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248232, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248266, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248268, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248271, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248273, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248303, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248305, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248338, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248375, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248377, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248378, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248391, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248392, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248394, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248431, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248433, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248467, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248498, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248500, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248503, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248512, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248515, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248516, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248519, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248552, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248554, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248557, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248588, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248591, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248593, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248594, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248597, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248598, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-09 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-09 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-09 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248632, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248635, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248636, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248639, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248670, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248672, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248702, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248704, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248706, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248736, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248739, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248772, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248775, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248805, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248807, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248839, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248841, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248843, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248872, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248874, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248877, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248909, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248911, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248913, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248914, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248916, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248918, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248950, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248952, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248955, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248957, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248986, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248989, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248990, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248993, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (248999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249014, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249017, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249018, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249050, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249053, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249055, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249057, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249059, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249095, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249096, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249099, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249100, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249102, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249104, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249135, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249137, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249138, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249140, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249170, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249173, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249174, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249176, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249207, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249208, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249238, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249241, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249244, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249246, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249280, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249283, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249316, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249318, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249321, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249322, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249356, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249359, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249360, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249392, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249394, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249397, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249427, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249428, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249459, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249460, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249463, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249486, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249488, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249491, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249492, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249525, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249526, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249529, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249559, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249560, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249562, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249595, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249597, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249599, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249611, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249612, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249615, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249645, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249646, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249648, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249650, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249653, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249665, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249666, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249669, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249670, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249673, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249675, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249677, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249699, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249700, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249702, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249705, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249706, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249708, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249710, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249712, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249714, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249716, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249718, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249720, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249722, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249725, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249727, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249728, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249731, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249733, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249734, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249737, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249739, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249741, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249742, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249745, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249747, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249748, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249750, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249753, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249754, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249757, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249759, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249760, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249763, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249764, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249767, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249768, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249770, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249772, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249775, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249777, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249778, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249780, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249783, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249785, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249786, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249788, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249791, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249793, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249795, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249796, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249799, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249801, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249803, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249805, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249806, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249809, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249810, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249812, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249814, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249817, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249819, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249820, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249823, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249825, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249826, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249829, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249830, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249832, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249835, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249836, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249838, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249841, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249842, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249845, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249846, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249848, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249851, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249853, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249854, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249856, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249858, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249861, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249863, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249865, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249867, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249869, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249870, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249872, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249874, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249877, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249878, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249880, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249883, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249885, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249886, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249889, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249891, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249892, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249895, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249897, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249899, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249901, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249902, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249904, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249906, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249909, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249910, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249912, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249915, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249916, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249918, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249920, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249922, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249924, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249927, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249928, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249930, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249932, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249934, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249936, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249939, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249940, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249943, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249944, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249946, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249948, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249950, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249952, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249955, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249956, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249958, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249960, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249963, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249964, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249967, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249969, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249971, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249972, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249975, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249977, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249978, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249981, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249983, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249984, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249987, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249988, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249990, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249993, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249995, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249996, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (249999, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250000, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250003, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250005, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250007, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250008, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250011, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250012, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250014, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250016, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250019, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250020, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250022, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250024, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250026, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250029, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250031, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250033, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250034, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250037, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250038, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250040, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250043, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250045, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250047, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250049, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250051, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250052, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250055, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250056, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250058, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250061, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 11:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250062, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250065, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250067, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250068, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250070, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250072, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250074, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250076, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250079, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250080, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250082, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250084, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250087, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250089, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250090, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250093, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250094, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250096, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250099, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250101, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250102, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250104, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250107, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250108, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250110, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250112, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250115, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250116, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250118, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250121, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250123, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250124, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250126, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250129, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250130, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250132, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250134, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250136, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250138, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250140, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250142, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250145, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250146, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250149, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250150, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250152, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250154, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250156, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250158, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250160, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250163, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250165, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250167, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250169, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250171, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250173, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250175, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250176, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250178, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250181, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 12:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250182, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250185, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250186, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250188, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250190, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250192, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250194, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250197, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250198, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250200, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250202, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250204, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250206, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250208, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250211, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250213, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250215, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250217, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250219, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250220, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250222, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250224, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250226, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250228, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250231, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250232, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250234, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250237, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250239, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250240, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250242, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250244, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250246, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250248, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250250, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250252, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:35:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250254, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250257, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250258, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:38:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250261, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:39:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250263, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:40:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250265, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:41:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250267, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250268, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250270, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:44:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250273, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:45:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250275, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:46:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250277, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:47:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250279, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:48:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250281, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:49:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250282, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:50:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250284, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:51:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250286, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:52:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250288, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:53:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250290, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:54:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250292, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:55:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250295, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:56:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250297, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:57:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250299, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:58:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250300, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:59:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250303, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:00:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250305, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:01:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250307, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:02:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250308, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:03:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250311, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:04:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250312, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:05:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250314, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:06:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250317, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:07:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250319, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:08:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250321, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:09:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250323, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:10:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250324, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:11:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250326, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:12:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250328, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:13:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250330, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:14:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250332, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:15:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250334, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:16:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250336, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:17:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250339, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250340, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:19:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250343, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:20:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250344, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:21:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250347, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:22:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250349, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:23:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250350, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:24:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250352, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:25:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250355, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:26:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250357, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:27:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250359, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:28:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250361, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250363, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:30:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250364, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250366, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:32:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250369, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:33:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250370, 7, 9, 'http://172.17.0.2:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:34:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://172.17.0.2:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://172.17.0.2:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://172.17.0.2:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250374, 7, 9, 'http://192.168.5.4:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.5.4:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://192.168.5.4:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250377, 7, 9, 'http://192.168.5.4:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:37:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.5.4:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://192.168.5.4:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (250999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-10 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-10 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-10 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (251999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252619, 7, 9, 'http://192.168.5.4:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:18:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.5.4:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://192.168.5.4:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252641, 7, 9, 'http://192.168.5.4:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:29:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.5.4:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://192.168.5.4:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252644, 7, 9, 'http://192.168.5.4:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:31:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.5.4:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://192.168.5.4:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252655, 7, 9, 'http://192.168.5.4:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:36:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.5.4:9999/, http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.5.4:9999/<br>code：500<br>msg：xxl-rpc remoting error(connect timed out), for url : http://192.168.5.4:9999/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (252999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (253999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-11 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-11 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-11 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (254999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (255999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (256999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-12 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-12 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-12 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (257999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (258999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (259999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-13 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-13 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-13 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (260999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (261999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (262999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-14 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-14 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-14 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (263999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (264999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-15 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-15 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-15 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (265999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (266999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (267999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-16 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-16 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-16 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (268999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (269999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (270999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-17 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-17 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-17 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (271999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (272999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (273999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-18 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-18 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-18 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (274999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (275999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (276999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-19 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-19 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-19 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (277999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (278999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (279999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-20 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-20 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-20 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (280999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (281999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (282999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-21 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-21 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-21 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (283999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (284999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (285999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-22 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-22 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-22 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (286999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (287999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-23 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-23 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-23 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (288999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (289999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (290999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-24 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-24 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-24 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (291999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (292999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (293999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-25 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-25 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-25 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (294999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (295999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (296999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-26 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-26 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-26 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (297999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (298999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (299999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-27 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-27 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-27 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (300999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (301999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (302999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-28 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-28 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-28 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (303999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:50:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:50:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:51:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:52:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:52:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:53:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:53:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:53:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:58:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:58:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:58:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:58:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 12:59:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 12:59:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:00:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:00:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:03:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:03:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:04:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:04:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:04:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:09:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:09:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:09:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:10:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:10:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:13:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:13:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:13:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:14:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:14:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:14:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:15:03', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:15:09', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:15:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:15:09', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:22:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:22:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:25:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:25:06', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:25:04', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:25:06', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:26:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:26:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:31:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:31:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:31:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:33:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:33:03', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:33:11', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:34:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:34:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:34:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:34:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:35:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:35:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:37:21', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:37:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:37:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:38:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:38:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (304999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:50:06', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:50:22', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:50:06', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:50:22', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:56:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:56:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:56:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:56:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:57:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:57:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:00:19', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:00:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:00:09', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:01:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:01:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:03:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:03:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:04:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:04:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:08:20', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:08:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:09:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:09:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:16:07', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:16:15', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:16:14', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:16:15', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:19:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:19:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:20:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:20:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:21:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:21:08', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:22:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:22:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:30:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:30:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:30:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:31:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:31:03', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:31:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:32:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:32:04', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:32:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:34:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:34:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:34:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:34:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:34:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:38:07', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:38:14', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:38:10', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:38:14', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:39:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:39:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:39:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:39:06', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:40:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:40:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:40:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:40:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:44:11', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:44:20', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:44:12', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:44:22', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:45:04', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:45:13', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:45:05', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:45:28', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:47:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:47:03', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:47:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:52:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:52:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 14:59:06', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 14:59:17', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:02:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:02:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:04:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:04:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:11:04', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:11:20', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:11:07', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:11:28', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:17:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:17:22', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:17:07', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:17:22', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:18:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:18:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:18:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:19:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:19:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:19:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:19:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:28:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:28:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:29:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:29:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:32:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:32:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:32:05', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:32:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:34:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:34:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:34:03', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:34:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:35:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:35:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:36:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:36:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:39:09', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:39:32', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:39:10', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:39:27', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:40:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:40:09', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:40:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:40:09', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:45:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:45:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:45:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:45:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:49:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:49:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:51:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:51:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:51:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:54:06', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:54:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:54:10', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:56:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:56:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:56:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:57:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:57:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:01:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:01:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:01:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:01:20', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:05:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:05:12', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:05:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:05:08', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:06:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:06:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:07:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:07:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:11:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:11:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:16:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:16:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:17:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:17:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:22:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:22:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:23:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:23:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:23:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:24:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:24:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:25:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:25:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:25:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:26:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:26:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (305999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-29 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-29 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-29 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (306999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (307999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:48:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:48:09', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:48:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:48:09', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:52:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:52:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:53:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:53:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:53:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:54:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:54:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:54:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-30 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-30 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-30 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:22:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:22:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:25:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:25:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:27:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:27:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:28:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:28:14', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:32:17', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:32:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:32:21', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:33:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:33:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:34:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:34:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:35:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:35:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:35:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:35:06', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:39:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:39:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:39:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:40:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:40:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:41:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:41:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:41:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:42:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：500<br>msg：xxl-rpc remoting error(拒绝连接 (Connection refused)), for url : http://192.168.50.235:9998/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:42:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:43:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:43:00', 500, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：500<br>msg：xxl-rpc remoting error(拒绝连接 (Connection refused)), for url : http://192.168.50.235:9998/run', NULL, 0, NULL, 1);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:44:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:44:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:45:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:45:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:54:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:54:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:58:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:58:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:00:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:00:06', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:01:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:01:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:02:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:02:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:02:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:02:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:03:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:03:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:06:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:07:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:07:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:07:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:12:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:18:13', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:18:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:19:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:19:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:20:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:20:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:22:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:22:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:29:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:29:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:29:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:30:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:30:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:30:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:30:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:31:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:31:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:31:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:32:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:34:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:34:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:41:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:41:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:41:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:42:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:42:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:42:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:42:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:44:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:44:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:45:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:47:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:47:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:49:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:49:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:52:13', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:52:31', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:52:13', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:52:33', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:53:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:53:11', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:53:08', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:53:14', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:55:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:55:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (308999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:58:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:58:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 11:59:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 11:59:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:00:20', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:00:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:00:20', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:02:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:02:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:02:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:02:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:06:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:06:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:06:06', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:06:07', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:07:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:07:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:07:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:12:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:12:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:13:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:13:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:13:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:13:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:15:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:15:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:15:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:16:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:16:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:17:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:17:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:17:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:19:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:19:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:19:05', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309051, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309261, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:30:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:30:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:32:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:32:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:33:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:33:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:34:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:34:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:34:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:50:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:50:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:52:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:58:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:58:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 14:59:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 14:59:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:01:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:01:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:03:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:03:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:04:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:04:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:05:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:05:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:06:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:06:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:07:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:07:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:05:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:05:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:06:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:06:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:10:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:10:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:10:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:10:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:49:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:49:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:49:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:49:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:49:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:49:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:49:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:45:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:45:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:46:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:46:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:46:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:46:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:48:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:48:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:50:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:50:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (309999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-10-31 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-10-31 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-10-31 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:43:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:18:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (310999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:15:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:15:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:15:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:15:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (311999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (312999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-01 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-01 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-01 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (313999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:18:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:18:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (314999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315435, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (315999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316091, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-02 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-02 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-02 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316541, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (316999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317627, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317669, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317779, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317887, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317967, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (317999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:13:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:08:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318785, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318847, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:26:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:26:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (318999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319035, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:43:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:43:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-03 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-03 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-03 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319107, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319167, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319207, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319297, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319347, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319477, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319773, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319917, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319937, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (319999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320016, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320017, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320057, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320093, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320109, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320241, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320256, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320257, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320262, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320278, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320317, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320341, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320417, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:43:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:43:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320529, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320535, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320599, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320617, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320629, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:13:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:13:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:33:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:33:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320767, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320883, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320889, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320927, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320953, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (320999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321007, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321137, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321217, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321229, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321237, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:00:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:00:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:00:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:00:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:01:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:01:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:01:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:01:03', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:03:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:03:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:03:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:03:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:05:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:05:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321433, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321449, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321457, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321479, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321572, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321573, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321637, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321657, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321660, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321671, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321697, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321745, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:12:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:12:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:12:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:15:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:15:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:15:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:15:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321787, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:34:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:34:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:34:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:34:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:35:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:35:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321819, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321867, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:17:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:17:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321899, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:33:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:33:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321950, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321951, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-04 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-04 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-04 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (321999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322009, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322019, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322047, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322089, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322117, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322123, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322131, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322143, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322178, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322185, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:01:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:01:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322209, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322235, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322243, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322273, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322308, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322383, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322461, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322497, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322514, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322523, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322545, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322568, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322578, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322633, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322639, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322652, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322711, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322724, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322730, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322743, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322763, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322775, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322783, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322791, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322797, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:05:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:05:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322823, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322831, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322837, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322865, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322897, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322941, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322984, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322991, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322995, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (322999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323025, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323031, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323049, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323053, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323059, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323073, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323097, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323115, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323127, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323140, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323145, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323164, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323183, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323190, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323213, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323220, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:39:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:39:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:39:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323269, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323274, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323289, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323300, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:08:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323303, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323307, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323318, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323322, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323327, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323335, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323353, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323374, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323385, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323397, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323427, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323467, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323473, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:37:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:37:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323500, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:06:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:06:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323555, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323593, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323603, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323607, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323615, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323631, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323655, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323663, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323685, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323698, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323700, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323708, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323739, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323759, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323781, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323795, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323802, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323805, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323827, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323844, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323849, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323857, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323863, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323877, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323879, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323885, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323892, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323911, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323914, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323918, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323920, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323931, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323956, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323957, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323961, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323969, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323971, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323973, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323975, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323977, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323983, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (323999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324002, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324021, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324028, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324045, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324065, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324069, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324074, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324077, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324081, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324101, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324111, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324120, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324132, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324155, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324157, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324158, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324161, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324163, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324168, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324188, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324198, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324200, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324202, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324211, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324218, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324227, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324252, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324255, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324259, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324282, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324299, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324305, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324315, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324333, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324355, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324359, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324367, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324371, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324378, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324399, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324402, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324409, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324410, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324414, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324420, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324429, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324437, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:36:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324445, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324459, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324481, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324485, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324486, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324491, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324495, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324499, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324505, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324511, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324519, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324524, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324533, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324537, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324539, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324547, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324548, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324553, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324563, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324570, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324584, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324588, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324590, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324608, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324612, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324623, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324677, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324679, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324682, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324693, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324702, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324714, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324717, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324735, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324740, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324741, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324747, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324751, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324753, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324765, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324768, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324788, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324801, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324809, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324834, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324840, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-05 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-05 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-05 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324874, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324881, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324890, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324895, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324901, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324903, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324904, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324907, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324909, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324913, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324923, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324924, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324929, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324932, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324935, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324939, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324942, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324945, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324946, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324949, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324955, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324959, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324963, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324964, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324978, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324980, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324981, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324986, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324989, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324993, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324997, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324998, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (324999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325000, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325005, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325011, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325013, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325014, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325022, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325026, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325033, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325036, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325039, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325040, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325043, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325055, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325060, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325063, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325067, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325070, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325079, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325082, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325085, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325086, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325095, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325098, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325103, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325104, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325112, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325119, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325124, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325129, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325134, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325138, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325146, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325149, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325150, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325153, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325170, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325173, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325175, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325177, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325181, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325186, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325193, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325195, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325197, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325204, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325214, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325222, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325225, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325230, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325233, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325239, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325245, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325246, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325249, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325250, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325265, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325266, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325271, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325276, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325281, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325284, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325287, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325290, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325292, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325295, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325310, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325313, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325320, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325325, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325328, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325330, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325336, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325339, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325343, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325345, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325348, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325351, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325356, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325360, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325363, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325365, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325368, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325373, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325376, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325381, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325386, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325388, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325391, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325393, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325395, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325400, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325404, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325407, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325412, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325418, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325423, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325424, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325431, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325439, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325440, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325442, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325446, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325451, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325453, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325454, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325462, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325465, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325469, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325471, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325475, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325482, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325488, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325492, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325503, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325507, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325509, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325513, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325517, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325520, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325526, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325530, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325543, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325550, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325556, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325558, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325561, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325564, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325567, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325575, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325576, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325580, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325583, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325587, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325594, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325596, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325600, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325604, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325610, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325618, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325621, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325624, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325634, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325641, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325642, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325645, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325646, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325648, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325650, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325659, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325664, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325667, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325672, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325674, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325680, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325687, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325688, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325690, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325695, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325705, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325707, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325712, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325718, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325721, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325723, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325727, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325728, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325733, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325736, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325749, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325755, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325757, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325760, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325770, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325776, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325792, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325799, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325806, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325811, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325812, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325815, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325817, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325820, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325824, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325828, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325833, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325838, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325843, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325850, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325852, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325854, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325859, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325860, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325869, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325871, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325873, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325875, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325876, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325878, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325880, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325882, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325884, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325886, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325888, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325891, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325893, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325894, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325896, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325898, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325900, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325902, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325905, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325906, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325908, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325910, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325912, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325915, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325916, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325918, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325919, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325921, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325922, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325925, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325926, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325928, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325930, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325933, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325934, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325936, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325938, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325940, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325943, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325944, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325947, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325948, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325950, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325952, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325954, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325956, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325958, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325960, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325962, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325965, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325966, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325968, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325970, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325972, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325974, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325976, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325979, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325980, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325982, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325985, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325987, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325988, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325990, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325992, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325994, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325996, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (325999, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326001, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326003, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326004, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326006, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326008, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326010, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326012, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326015, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326016, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326018, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326020, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326023, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326024, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326027, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326029, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326030, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326032, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326034, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326037, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326038, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326041, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326042, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326044, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326046, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326048, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326050, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326052, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326054, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326056, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326058, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326061, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326062, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326064, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326066, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326068, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326071, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326072, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326075, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326076, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326078, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326080, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326083, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326084, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326087, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326088, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326090, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326092, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326094, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326096, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326099, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326100, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326102, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326105, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326106, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326108, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326110, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326113, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326114, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326116, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326118, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326121, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326122, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326125, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326126, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326128, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326130, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326133, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326135, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326136, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326139, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326141, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326142, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326144, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326147, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326148, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326151, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326152, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326154, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326156, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326159, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326160, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326162, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326165, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326166, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326169, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326171, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326172, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326174, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326176, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326179, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326180, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326182, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326184, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326187, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326189, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326191, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326192, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326194, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326196, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326199, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326201, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326203, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326205, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326206, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326208, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326210, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326212, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326215, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326216, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326219, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326221, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326223, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326224, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326226, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326228, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326231, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326232, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326234, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326236, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326238, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326240, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326242, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326244, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326247, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326248, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326251, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326253, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326254, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326256, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326258, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326260, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326263, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326264, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326267, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326268, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326270, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326272, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326275, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326277, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326279, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326280, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326283, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326285, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326286, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326288, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326291, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326293, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326294, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326296, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326298, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326301, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326302, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326304, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326306, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326309, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326311, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326312, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326314, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326316, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326319, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326321, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326323, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326324, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326326, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326329, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326331, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326332, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326334, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326337, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326338, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326340, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326342, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326344, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326346, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326349, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326350, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326352, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326354, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326357, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326358, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326361, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326362, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326364, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326366, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326369, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326370, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326372, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326375, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326377, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326379, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326380, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326382, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326384, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326387, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326389, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326390, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326392, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326394, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326396, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326398, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326401, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326403, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326405, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326406, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326408, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326411, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326413, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326415, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326416, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326419, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326421, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326422, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326425, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326426, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326428, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326430, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326432, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326434, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326436, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326438, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326441, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326443, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326444, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326447, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326448, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326450, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326452, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326455, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326456, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326458, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326460, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326463, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326464, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326466, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326468, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326470, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326472, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326474, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326476, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326478, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326480, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326483, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326484, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326487, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326489, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326490, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326493, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326494, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326496, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326498, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326501, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326502, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326504, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326506, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326508, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326510, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326512, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326515, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326516, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326518, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326521, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326522, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326525, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326527, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326528, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326530, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326531, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326532, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326534, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326536, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326538, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326540, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326542, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326544, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326546, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326549, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326551, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326552, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326554, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326557, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326559, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326560, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326562, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326565, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326566, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326569, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326571, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326572, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326574, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326577, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326579, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326581, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326582, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326585, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326586, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326589, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326591, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326592, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326595, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326597, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326598, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326601, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326602, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326605, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326606, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326609, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326611, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326613, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326614, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326616, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326619, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326620, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326622, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326625, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326626, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326628, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326630, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326632, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326635, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326636, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326638, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326640, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326643, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326644, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326647, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326649, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326651, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326653, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326654, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326656, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326658, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326661, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326662, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326665, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326666, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326668, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326670, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326673, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326675, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326676, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326678, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326681, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326683, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326684, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326686, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326689, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326691, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326692, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326694, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326696, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326699, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326701, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326703, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326704, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326706, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326709, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326710, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326713, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326715, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326716, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326719, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326720, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326722, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326725, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326726, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326729, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326731, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326732, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326734, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326736, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326737, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326738, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326740, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326742, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326744, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326746, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326748, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326750, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326752, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326754, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326756, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326758, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326761, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326762, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326764, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326766, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326769, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326771, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326772, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326774, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326777, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326778, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326780, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326782, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326784, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326786, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326789, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326790, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326793, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326794, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326796, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326798, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326800, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326803, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326804, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326807, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326808, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326810, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326813, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326814, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326816, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326818, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326821, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326822, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326825, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326826, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326829, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326830, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326832, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326835, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326836, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326839, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326841, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326842, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326845, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326846, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326848, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326851, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326853, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326855, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326856, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326858, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326861, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326862, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326864, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326866, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326868, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326870, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326872, 7, 9, 'http://192.168.50.235:9999/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2024-11-06 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (326873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2024-11-06 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2024-11-06 16:54:00', 200, '', 0);
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_log_report
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_log_report`;
CREATE TABLE `xxl_job_log_report` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `trigger_day` datetime DEFAULT NULL COMMENT '调度-时间',
  `running_count` int(11) NOT NULL DEFAULT '0' COMMENT '运行中-日志数量',
  `suc_count` int(11) NOT NULL DEFAULT '0' COMMENT '执行成功-日志数量',
  `fail_count` int(11) NOT NULL DEFAULT '0' COMMENT '执行失败-日志数量',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_trigger_day` (`trigger_day`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=261 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_log_report
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (1, '2024-05-07 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (2, '2024-05-06 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (3, '2024-05-05 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (4, '2024-05-08 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (5, '2024-05-09 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (6, '2024-05-10 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (7, '2024-05-11 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (8, '2024-05-12 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (9, '2024-05-13 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (10, '2024-05-14 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (11, '2024-05-15 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (12, '2024-05-16 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (13, '2024-05-17 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (14, '2024-05-18 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (15, '2024-05-19 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (16, '2024-05-20 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (17, '2024-05-21 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (18, '2024-05-22 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (19, '2024-05-23 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (20, '2024-05-24 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (21, '2024-05-25 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (22, '2024-05-26 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (23, '2024-05-27 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (24, '2024-05-28 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (25, '2024-05-29 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (26, '2024-05-30 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (27, '2024-05-31 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (28, '2024-06-01 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (29, '2024-06-02 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (30, '2024-06-03 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (31, '2024-06-04 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (32, '2024-06-05 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (33, '2024-06-06 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (34, '2024-06-07 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (35, '2024-06-08 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (36, '2024-06-09 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (37, '2024-06-10 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (38, '2024-06-11 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (39, '2024-06-12 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (40, '2024-06-13 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (41, '2024-06-14 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (42, '2024-06-15 00:00:00', 0, 0, 105, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (43, '2024-06-16 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (44, '2024-06-17 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (45, '2024-06-18 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (46, '2024-06-19 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (47, '2024-06-20 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (48, '2024-06-21 00:00:00', 0, 2, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (49, '2024-06-22 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (50, '2024-06-23 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (51, '2024-06-24 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (52, '2024-06-25 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (53, '2024-06-26 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (54, '2024-06-27 00:00:00', 0, 0, 1, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (55, '2024-06-28 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (56, '2024-06-29 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (57, '2024-06-30 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (58, '2024-07-01 00:00:00', 0, 1, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (59, '2024-07-02 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (60, '2024-07-03 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (61, '2024-07-04 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (62, '2024-07-05 00:00:00', 0, 398, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (63, '2024-07-06 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (64, '2024-07-07 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (65, '2024-07-08 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (66, '2024-07-09 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (67, '2024-07-10 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (68, '2024-07-11 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (69, '2024-07-12 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (70, '2024-07-13 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (71, '2024-07-14 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (73, '2024-07-15 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (75, '2024-07-16 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (77, '2024-07-17 00:00:00', 0, 1313, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (78, '2024-07-18 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (79, '2024-07-19 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (80, '2024-07-20 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (81, '2024-07-21 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (82, '2024-07-22 00:00:00', 0, 1369, 71, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (83, '2024-07-23 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (84, '2024-07-24 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (85, '2024-07-25 00:00:00', 0, 1612, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (86, '2024-07-26 00:00:00', 0, 2699, 169, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (87, '2024-07-27 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (88, '2024-07-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (89, '2024-07-29 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (90, '2024-07-30 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (91, '2024-07-31 00:00:00', 0, 2834, 46, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (93, '2024-08-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (94, '2024-08-02 00:00:00', 0, 2872, 8, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (95, '2024-08-03 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (97, '2024-08-04 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (99, '2024-08-05 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (101, '2024-08-06 00:00:00', 0, 2777, 103, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (103, '2024-08-07 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (105, '2024-08-08 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (106, '2024-08-09 00:00:00', 0, 2879, 1, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (107, '2024-08-10 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (110, '2024-08-11 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (111, '2024-08-12 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (112, '2024-08-13 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (114, '2024-08-14 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (116, '2024-08-15 00:00:00', 0, 2736, 144, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (117, '2024-08-16 00:00:00', 0, 2624, 256, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (119, '2024-08-17 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (121, '2024-08-18 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (122, '2024-08-19 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (124, '2024-08-20 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (126, '2024-08-21 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (129, '2024-08-22 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (130, '2024-08-23 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (131, '2024-08-24 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (133, '2024-08-25 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (136, '2024-08-26 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (137, '2024-08-27 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (138, '2024-08-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (139, '2024-08-29 00:00:00', 0, 2865, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (141, '2024-08-30 00:00:00', 0, 2464, 416, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (142, '2024-08-31 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (144, '2024-09-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (145, '2024-09-02 00:00:00', 0, 2792, 88, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (147, '2024-09-03 00:00:00', 0, 2722, 158, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (149, '2024-09-04 00:00:00', 0, 2719, 161, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (150, '2024-09-05 00:00:00', 0, 2621, 259, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (152, '2024-09-06 00:00:00', 0, 2773, 107, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (154, '2024-09-07 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (156, '2024-09-08 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (158, '2024-09-09 00:00:00', 0, 2800, 80, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (159, '2024-09-10 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (160, '2024-09-11 00:00:00', 0, 2878, 2, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (162, '2024-09-12 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (164, '2024-09-13 00:00:00', 0, 2739, 141, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (166, '2024-09-14 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (168, '2024-09-15 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (169, '2024-09-16 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (171, '2024-09-17 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (173, '2024-09-18 00:00:00', 0, 2441, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (174, '2024-09-19 00:00:00', 0, 1660, 60, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (175, '2024-09-20 00:00:00', 0, 2865, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (176, '2024-09-21 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (178, '2024-09-22 00:00:00', 0, 2856, 16, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (179, '2024-09-23 00:00:00', 0, 2874, 6, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (180, '2024-09-24 00:00:00', 0, 2866, 14, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (181, '2024-09-25 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (183, '2024-09-26 00:00:00', 0, 2865, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (186, '2024-09-27 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (187, '2024-09-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (189, '2024-09-29 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (191, '2024-09-30 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (192, '2024-10-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (194, '2024-10-02 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (195, '2024-10-03 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (197, '2024-10-04 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (199, '2024-10-05 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (200, '2024-10-06 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (202, '2024-10-07 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (205, '2024-10-08 00:00:00', 0, 2864, 16, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (206, '2024-10-09 00:00:00', 0, 2629, 251, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (208, '2024-10-10 00:00:00', 0, 2433, 447, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (210, '2024-10-11 00:00:00', 0, 2876, 4, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (212, '2024-10-12 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (213, '2024-10-13 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (215, '2024-10-14 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (217, '2024-10-15 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (219, '2024-10-16 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (221, '2024-10-17 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (223, '2024-10-18 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (225, '2024-10-19 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (227, '2024-10-20 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (229, '2024-10-21 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (230, '2024-10-22 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (232, '2024-10-23 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (234, '2024-10-24 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (236, '2024-10-25 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (238, '2024-10-26 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (240, '2024-10-27 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (242, '2024-10-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (244, '2024-10-29 00:00:00', 0, 2876, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (247, '2024-10-30 00:00:00', 0, 2590, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (249, '2024-10-31 00:00:00', 0, 1634, 2, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (251, '2024-11-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (252, '2024-11-02 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (255, '2024-11-03 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (257, '2024-11-04 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (259, '2024-11-05 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (260, '2024-11-06 00:00:00', 0, 2032, 0, NULL);
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_logglue
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_logglue`;
CREATE TABLE `xxl_job_logglue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job_id` int(11) NOT NULL COMMENT '任务，主键ID',
  `glue_type` varchar(50) DEFAULT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) NOT NULL COMMENT 'GLUE备注',
  `add_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_logglue
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_registry
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_registry`;
CREATE TABLE `xxl_job_registry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `registry_group` varchar(50) NOT NULL,
  `registry_key` varchar(255) NOT NULL,
  `registry_value` varchar(255) NOT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `i_g_k_v` (`registry_group`,`registry_key`,`registry_value`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_registry
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_registry` (`id`, `registry_group`, `registry_key`, `registry_value`, `update_time`) VALUES (7, 'EXECUTOR', 'xxl-job-executor-dev', 'http://192.168.50.235:9999/', '2024-11-06 16:54:50');
INSERT INTO `xxl_job_registry` (`id`, `registry_group`, `registry_key`, `registry_value`, `update_time`) VALUES (9, 'EXECUTOR', 'xxl-job-executor', 'http://192.168.50.235:9998/', '2024-11-06 16:54:48');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_user
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_user`;
CREATE TABLE `xxl_job_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL COMMENT '账号',
  `password` varchar(50) NOT NULL COMMENT '密码',
  `role` tinyint(4) NOT NULL COMMENT '角色：0-普通用户、1-管理员',
  `permission` varchar(255) DEFAULT NULL COMMENT '权限：执行器ID列表，多个逗号分割',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_username` (`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_user
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_user` (`id`, `username`, `password`, `role`, `permission`) VALUES (1, 'admin', 'e10adc3949ba59abbe56e057f20f883e', 1, NULL);
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
